## lvm2 2.02.95

=== debian/changelog ===
lvm2 (2.02.95-8) stable; urgency=low

  * Fix udev rules.
    - Properly exclude special devices, this part got lost. (closes: #718582)
    - Always call udev sync.

 -- Bastian Blank <waldi@debian.org>  Mon, 30 Sep 2013 22:25:35 +0200

lvm2 (2.02.95-7) testing; urgency=low

  * Re-enable cluster support. (closes: #697676)
  * Disable thin support. We lack the thin_check binary and it does not work
    anyway. (closes: #702163)

 -- Bastian Blank <waldi@debian.org>  Sun, 24 Mar 2013 09:03:10 +0100

lvm2 (2.02.95-6) unstable; urgency=low

  * Drop cluster (clvm) support. It never properly worked and is more dead
    than alive.

 -- Bastian Blank <waldi@debian.org>  Wed, 02 Jan 2013 11:11:41 +0100

lvm2 (2.02.95-5) unstable; urgency=low

  * Don't discard pv areas on pvmove commands. (closes: #691271)
  * Properly ignore missing dmeventd.

 -- Bastian Blank <waldi@debian.org>  Mon, 19 Nov 2012 12:11:15 +0100

lvm2 (2.02.95-4) unstable; urgency=low

  * Force building with -j1.
  * Add dmeventd and libdevmapper-event packages. (closes: #514706)
    - Disable monitoring by default.
    - Force dmeventd to look into correct directory for shared libs.
  * Also link shared libs with correct flags.
  * Enable support for thin target. (closes: #673000)

 -- Bastian Blank <waldi@debian.org>  Sun, 27 May 2012 19:05:21 +0200

lvm2 (2.02.95-3) unstable; urgency=low

  * Fix build-dependency.
  * Lower priority of libdevmapper1.02.1 to match overrides.
  * Silence init script.

 -- Bastian Blank <waldi@debian.org>  Fri, 04 May 2012 13:36:04 +0200

lvm2 (2.02.95-2) unstable; urgency=low

  * Support multi-arch.
    - Convert library packages to multi-arch.
    - Mark packages with binary as foreign.
  * Use dpkg buildflags support. (closes: #657523)
  * Define build-arch and build-indep make targets.

 -- Bastian Blank <waldi@debian.org>  Fri, 04 May 2012 12:46:59 +0200

lvm2 (2.02.95-1) unstable; urgency=low

  * New upstream version. (closes: #670072)
  * Fix dependencies in clvm init script. (closes: #655970)
  * Demote cluster manager dependency to recommends.

 -- Bastian Blank <waldi@debian.org>  Tue, 01 May 2012 20:27:50 +0200
