## lvm2 2.02.98

=== debian/rules ===
--- 
+++ 
@@ -64,6 +64,7 @@
 	mkdir -p '$(DIR)'
 	cp -al $(SOURCE_FILES) '$(DIR)'
 	cd $(DIR); autoreconf
+	cd $(DIR); cp -f /usr/share/misc/config.guess /usr/share/misc/config.sub autoconf/
 	touch $@
 
 setup: $(STAMPS_DIR)/setup_deb $(STAMPS_DIR)/setup_udeb
@@ -77,19 +78,22 @@
 	$(CONFIGURE) \
 		--libdir=\$${exec_prefix}/lib/$(DEB_HOST_MULTIARCH) \
 		--with-optimisation="$(CFLAGS_OPT_DEB)" \
-		--with-clvmd=cman,corosync,openais \
+		--with-clvmd=corosync \
 		--with-cluster=internal \
 		--with-device-uid=0 \
 		--with-device-gid=6 \
 		--with-device-mode=0660 \
 		--with-default-run-dir=/run/lvm \
 		--with-default-locking-dir=/run/lock/lvm \
+		--with-thin=internal \
+		--with-thin-check=/usr/sbin/thin_check \
 		--enable-applib \
 		--enable-cmdlib \
 		--enable-dmeventd \
 		--enable-pkgconfig \
 		--enable-readline \
 		--enable-udev_sync
+	cp po/lvm2.po po/lvm2.pot
 	touch $@
 
 $(STAMPS_DIR)/setup_udeb: SOURCE_DIR = $(BUILD_DIR)/source
@@ -103,6 +107,7 @@
 		--with-cluster=none \
 		--with-lvm1=none \
 		--with-pool=none \
+		--disable-dmeventd \
 		--disable-readline \
 		--disable-selinux
 	touch $@
@@ -130,6 +135,7 @@
 	dh_testdir
 	rm -rf $(BUILD_DIR) $(STAMPS_DIR)
 	dh_clean
+	rm -f po/lvm2.pot
 
 $(STAMPS_DIR)/install_%: DIR = $(BUILD_DIR)/build_$*
 $(STAMPS_DIR)/install_%: INSTALL_DIR = $(BUILD_DIR)/install_$*
@@ -151,6 +157,7 @@
 	dh_installdebconf
 	dh_installdocs
 	dh_installexamples
+	dh_installman
 	dh_strip
 	dh_compress
 	dh_fixperms
@@ -163,6 +170,8 @@
 install_clvm: export DH_OPTIONS = -pclvm
 install_clvm: DIR = $(BUILD_DIR)/install_deb
 install_clvm: $(STAMPS_DIR)/install_deb
+	mkdir -p $(BUILD_DIR)/install_deb/usr/lib/ocf/resource.d/lvm2
+	install -m 755 debian/clvmd.ra $(BUILD_DIR)/install_deb/usr/lib/ocf/resource.d/lvm2/clvmd
 	+$(MAKE_SELF) install-base-prep INSTALL_DIR='$(DIR)'
 	dh_installinit --no-start -- start 63 S . start 51 0 6 .
 	+$(MAKE_SELF) install-base
@@ -177,6 +186,7 @@
 install_dmsetup: DIR = $(BUILD_DIR)/install_deb
 install_dmsetup: $(STAMPS_DIR)/install_deb install_libdevmapper
 	+$(MAKE_SELF) install-base-prep INSTALL_DIR='$(DIR)'
+	chmod +x -R debian/dmsetup/usr/share/initramfs-tools
 	+$(MAKE_SELF) install-base CHANGELOG=WHATS_NEW_DM GENCONTROL_ARGS="-v$(DEVMAPPER_VERSION_DEBIAN)"
 
 install_dmsetup-udeb: PACKAGE_NAME = dmsetup-udeb
@@ -185,6 +195,7 @@
 install_dmsetup-udeb: DIR = $(BUILD_DIR)/install_udeb
 install_dmsetup-udeb: $(STAMPS_DIR)/install_udeb install_libdevmapper
 	+$(MAKE_SELF) install-base-prep INSTALL_DIR='$(DIR)'
+	chmod +x -R debian/dmsetup-udeb/usr/share/initramfs-tools
 	+$(MAKE_SELF) install-base \
 		BUILDDEB_ARGS="--filename=$(PACKAGE_FILE)" \
 		GENCONTROL_ARGS="-v$(DEVMAPPER_VERSION_DEBIAN)"
@@ -211,17 +222,8 @@
 install_libdevmapper-dev: export DH_OPTIONS = -plibdevmapper-dev
 install_libdevmapper-dev: DIR = $(BUILD_DIR)/install_deb
 install_libdevmapper-dev: $(STAMPS_DIR)/install_deb
-	+$(MAKE_SELF) install-base-prep INSTALL_DIR='$(DIR)'
-	+$(MAKE_SELF) install-base CHANGELOG=WHATS_NEW_DM GENCONTROL_ARGS="-v$(DEVMAPPER_VERSION_DEBIAN)"
-
-install_libdevmapper-udeb: PACKAGE_NAME = libdevmapper$(DEVMAPPER_ABINAME)-udeb
-install_libdevmapper-udeb: export DH_OPTIONS = -p$(PACKAGE_NAME)
-install_libdevmapper-udeb: PACKAGE_FILE = $(PACKAGE_NAME)_$(DEVMAPPER_VERSION_FILE)_$(DEB_HOST_ARCH).udeb
-install_libdevmapper-udeb: DIR = $(BUILD_DIR)/install_udeb
-install_libdevmapper-udeb: $(STAMPS_DIR)/install_udeb
-	+$(MAKE_SELF) install-base-prep INSTALL_DIR='$(DIR)'
-	+$(MAKE_SELF) install-base \
-		BUILDDEB_ARGS="--filename=$(PACKAGE_FILE)" \
-		GENCONTROL_ARGS="-v$(DEVMAPPER_VERSION_DEBIAN)"
-
-install_liblvm2: export DH_OPTIONS = -pliblvm2app$(LVM2APP_ABINAME) -pliblvm2cmd$(LVM2CMD_ABINAME) -pliblvm2-dev
+	mkdir -p $(DIR)/usr/lib/$(DEB_HOST_MULTIARCH)/pkgconfig
+	mv $(DIR)/usr/lib/pkgconfig/devmapper* $(DIR)/usr/lib/$(DEB_HOST_MULTIARCH)/pkgconfig
+	+$(MAKE_SELF) install-base-prep INSTALL_DIR='$(DIR)'
+	dh_link -p libdevmapper-dev \
+	    lib/$(DEB_HOST_MULTIARCH)/libdevmapper-event.so.$(DEVMAPPER_ABINAME) usr/lib/$(DEB_HOST_MULTIARCH)/libdevmapper-event.so \
