=== debian/rules ===
--- 
+++ 
@@ -46,13 +46,10 @@
 CONFIGURE += \
 	--prefix=/usr \
 	--exec-prefix= \
+	--sbindir=/sbin \
 	--mandir=\$${prefix}/share/man \
 	--infodir=\$${prefix}/share/info \
 	--with-confdir=\$${exec_prefix}/etc
-
-ifneq (,$(findstring $(DEB_HOST_ARCH), arm armeb hppa mips mipsel))
-CONFIGURE_FLAGS += --disable-o_direct
-endif
 
 source: $(STAMPS_DIR)/source
 
@@ -64,7 +61,6 @@
 	mkdir -p '$(DIR)'
 	cp -al $(SOURCE_FILES) '$(DIR)'
 	cd $(DIR); autoreconf
-	cd $(DIR); cp -f /usr/share/misc/config.guess /usr/share/misc/config.sub autoconf/
 	touch $@
 
 setup: $(STAMPS_DIR)/setup_deb $(STAMPS_DIR)/setup_udeb
@@ -77,23 +73,30 @@
 	cd $(DIR); \
 	$(CONFIGURE) \
 		--libdir=\$${exec_prefix}/lib/$(DEB_HOST_MULTIARCH) \
+		--with-usrlibdir=\$${prefix}/lib/$(DEB_HOST_MULTIARCH) \
 		--with-optimisation="$(CFLAGS_OPT_DEB)" \
-		--with-clvmd=corosync \
+		--with-cache=internal \
+		--with-clvmd=cman,corosync,openais \
 		--with-cluster=internal \
 		--with-device-uid=0 \
 		--with-device-gid=6 \
 		--with-device-mode=0660 \
 		--with-default-run-dir=/run/lvm \
+		--with-default-dm-run-dir=/run \
 		--with-default-locking-dir=/run/lock/lvm \
+		--with-default-pid-dir=/run \
 		--with-thin=internal \
 		--with-thin-check=/usr/sbin/thin_check \
+		--with-thin-dump=/usr/sbin/thin_dump \
+		--with-thin-repair=/usr/sbin/thin_repair \
 		--enable-applib \
 		--enable-cmdlib \
 		--enable-dmeventd \
+		--enable-lvmetad \
 		--enable-pkgconfig \
 		--enable-readline \
+		--enable-udev_rules \
 		--enable-udev_sync
-	cp po/lvm2.po po/lvm2.pot
 	touch $@
 
 $(STAMPS_DIR)/setup_udeb: SOURCE_DIR = $(BUILD_DIR)/source
@@ -107,7 +110,6 @@
 		--with-cluster=none \
 		--with-lvm1=none \
 		--with-pool=none \
-		--disable-dmeventd \
 		--disable-readline \
 		--disable-selinux
 	touch $@
@@ -135,7 +137,6 @@
 	dh_testdir
 	rm -rf $(BUILD_DIR) $(STAMPS_DIR)
 	dh_clean
-	rm -f po/lvm2.pot
 
 $(STAMPS_DIR)/install_%: DIR = $(BUILD_DIR)/build_$*
 $(STAMPS_DIR)/install_%: INSTALL_DIR = $(BUILD_DIR)/install_$*
@@ -144,6 +145,7 @@
 	dh_testroot
 	rm -rf $(INSTALL_DIR)
 	+$(MAKE_REAL) -C $(DIR) install DESTDIR=$(CURDIR)/$(INSTALL_DIR) LIB_VERSION_DM=$(DEVMAPPER_ABINAME)
+	+$(MAKE_REAL) -C $(DIR)/scripts install_systemd_units install_tmpfiles_configuration DESTDIR=$(CURDIR)/$(INSTALL_DIR)
 	touch $@
 
 install-base-prep:
@@ -157,7 +159,7 @@
 	dh_installdebconf
 	dh_installdocs
 	dh_installexamples
-	dh_installman
+	dh_link
 	dh_strip
 	dh_compress
 	dh_fixperms
@@ -170,8 +172,6 @@
 install_clvm: export DH_OPTIONS = -pclvm
 install_clvm: DIR = $(BUILD_DIR)/install_deb
 install_clvm: $(STAMPS_DIR)/install_deb
-	mkdir -p $(BUILD_DIR)/install_deb/usr/lib/ocf/resource.d/lvm2
-	install -m 755 debian/clvmd.ra $(BUILD_DIR)/install_deb/usr/lib/ocf/resource.d/lvm2/clvmd
 	+$(MAKE_SELF) install-base-prep INSTALL_DIR='$(DIR)'
 	dh_installinit --no-start -- start 63 S . start 51 0 6 .
 	+$(MAKE_SELF) install-base
@@ -180,13 +180,15 @@
 install_dmeventd: DIR = $(BUILD_DIR)/install_deb
 install_dmeventd: $(STAMPS_DIR)/install_deb install_liblvm2
 	+$(MAKE_SELF) install-base-prep INSTALL_DIR='$(DIR)'
+	dh_systemd_enable --no-enable dm-event.service
+	dh_systemd_enable dm-event.socket
+	dh_systemd_start --restart-after-upgrade dm-event.socket
 	+$(MAKE_SELF) install-base CHANGELOG=WHATS_NEW_DM GENCONTROL_ARGS="-v$(DEVMAPPER_VERSION_DEBIAN)"
 
 install_dmsetup: export DH_OPTIONS = -pdmsetup
 install_dmsetup: DIR = $(BUILD_DIR)/install_deb
 install_dmsetup: $(STAMPS_DIR)/install_deb install_libdevmapper
 	+$(MAKE_SELF) install-base-prep INSTALL_DIR='$(DIR)'
-	chmod +x -R debian/dmsetup/usr/share/initramfs-tools
 	+$(MAKE_SELF) install-base CHANGELOG=WHATS_NEW_DM GENCONTROL_ARGS="-v$(DEVMAPPER_VERSION_DEBIAN)"
 
 install_dmsetup-udeb: PACKAGE_NAME = dmsetup-udeb
@@ -195,7 +197,6 @@
 install_dmsetup-udeb: DIR = $(BUILD_DIR)/install_udeb
 install_dmsetup-udeb: $(STAMPS_DIR)/install_udeb install_libdevmapper
 	+$(MAKE_SELF) install-base-prep INSTALL_DIR='$(DIR)'
-	chmod +x -R debian/dmsetup-udeb/usr/share/initramfs-tools
 	+$(MAKE_SELF) install-base \
 		BUILDDEB_ARGS="--filename=$(PACKAGE_FILE)" \
 		GENCONTROL_ARGS="-v$(DEVMAPPER_VERSION_DEBIAN)"
@@ -222,8 +223,8 @@
 install_libdevmapper-dev: export DH_OPTIONS = -plibdevmapper-dev
 install_libdevmapper-dev: DIR = $(BUILD_DIR)/install_deb
 install_libdevmapper-dev: $(STAMPS_DIR)/install_deb
-	mkdir -p $(DIR)/usr/lib/$(DEB_HOST_MULTIARCH)/pkgconfig
-	mv $(DIR)/usr/lib/pkgconfig/devmapper* $(DIR)/usr/lib/$(DEB_HOST_MULTIARCH)/pkgconfig
-	+$(MAKE_SELF) install-base-prep INSTALL_DIR='$(DIR)'
-	dh_link -p libdevmapper-dev \
-	    lib/$(DEB_HOST_MULTIARCH)/libdevmapper-event.so.$(DEVMAPPER_ABINAME) usr/lib/$(DEB_HOST_MULTIARCH)/libdevmapper-event.so \
+	+$(MAKE_SELF) install-base-prep INSTALL_DIR='$(DIR)'
+	+$(MAKE_SELF) install-base CHANGELOG=WHATS_NEW_DM GENCONTROL_ARGS="-v$(DEVMAPPER_VERSION_DEBIAN)"
+
+install_libdevmapper-udeb: PACKAGE_NAME = libdevmapper$(DEVMAPPER_ABINAME)-udeb
+install_libdevmapper-udeb: export DH_OPTIONS = -p$(PACKAGE_NAME)
